Trigger an outbound call
Triggers the PolyAI voice agent to dial a phone number. The agent will call the provided number and conduct the conversation autonomously. Returns a callSid that can be used to poll status.
curl --request POST \
--url https://api.us.poly.ai/v1/agents/{agentId}/telephony/outbound-calls \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"toNumber": "+442012345678",
"environment": "live",
"countryCode": "GB",
"variantId": "<string>",
"encryption": "tls_srtp",
"metadata": {
"customer_name": "Paul Smith",
"appointment_date": "2026-08-26"
}
}
'import requests
url = "https://api.us.poly.ai/v1/agents/{agentId}/telephony/outbound-calls"
payload = {
"toNumber": "+442012345678",
"environment": "live",
"countryCode": "GB",
"variantId": "<string>",
"encryption": "tls_srtp",
"metadata": {
"customer_name": "Paul Smith",
"appointment_date": "2026-08-26"
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toNumber: '+442012345678',
environment: 'live',
countryCode: 'GB',
variantId: '<string>',
encryption: 'tls_srtp',
metadata: {customer_name: 'Paul Smith', appointment_date: '2026-08-26'}
})
};
fetch('https://api.us.poly.ai/v1/agents/{agentId}/telephony/outbound-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"callSid": "OUT-550e8400-e29b-41d4-a716-446655440000",
"status": "QUEUED"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Authorizations
Path Parameters
Body
Phone number to dial in E.164 format (e.g. +442012345678). If the number lacks a country prefix, also supply countryCode.
"+442012345678"
Target environment for the call.
sandbox, pre-release, live "live"
ISO 3166-1 alpha-2 country code (e.g. GB) for parsing a non-E.164 toNumber.
"GB"
Variant ID to use for the call. If omitted, the default connector for the environment is used.
Telephony encryption mode for the outbound leg.
"tls_srtp"
Arbitrary key/value pairs delivered to the agent as SIP headers. All values must be strings. The base64 representation must be under 26 KB.
Show child attributes
Show child attributes
{ "customer_name": "Paul Smith", "appointment_date": "2026-08-26" }
Was this page helpful?

